लॉगिन के बाद tty में "“: कमांड नहीं मिला "


24

मुझे 12.10 से 13.04 तक लुबंटू को अपग्रेड करने के बाद यह समस्या है।

मैं Ctrl+ Alt+ दबाता हूं 1, लॉगिन, पासवर्ड दर्ज करें, दो सेकंड प्रतीक्षा करें और प्राप्त करें ♦: command not found":। इस संदेश के बाद मैं समस्याओं के बिना कमांड टाइप कर सकता हूं, लेकिन यह क्या है?

echo $PATH
/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/home/vitaly/bin:/usr/java/jdk1.7.0_17/bin

मेरी .bashrcफाइल है:

# ~/.bashrc: executed by bash(1) for non-login shells.
# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
# for examples

# If not running interactively, don't do anything
case $- in
    *i*) ;;
      *) return;;
esac

# don't put duplicate lines or lines starting with space in the history.
# See bash(1) for more options
HISTCONTROL=ignoreboth

# append to the history file, don't overwrite it
shopt -s histappend

# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
HISTSIZE=1000
HISTFILESIZE=2000

# check the window size after each command and, if necessary,
# update the values of LINES and COLUMNS.
shopt -s checkwinsize

# If set, the pattern "**" used in a pathname expansion context will
# match all files and zero or more directories and subdirectories.
#shopt -s globstar

# make less more friendly for non-text input files, see lesspipe(1)
[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"

# set variable identifying the chroot you work in (used in the prompt below)
if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
    debian_chroot=$(cat /etc/debian_chroot)
fi

# set a fancy prompt (non-color, unless we know we "want" color)
case "$TERM" in
    xterm-color) color_prompt=yes;;
esac

# uncomment for a colored prompt, if the terminal has the capability; turned
# off by default to not distract the user: the focus in a terminal window
# should be on the output of commands, not on the prompt
#force_color_prompt=yes

if [ -n "$force_color_prompt" ]; then
    if [ -x /usr/bin/tput ] && tput setaf 1 >&/dev/null; then
    # We have color support; assume it's compliant with Ecma-48
    # (ISO/IEC-6429). (Lack of such support is extremely rare, and such
    # a case would tend to support setf rather than setaf.)
    color_prompt=yes
    else
    color_prompt=
    fi
fi

if [ "$color_prompt" = yes ]; then
    PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]\$ '
else
    PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
fi
unset color_prompt force_color_prompt

# If this is an xterm set the title to user@host:dir
case "$TERM" in
xterm*|rxvt*)
    PS1="\[\e]0;${debian_chroot:+($debian_chroot)}\u@\h: \w\a\]$PS1"
    ;;
*)
    ;;
esac

# enable color support of ls and also add handy aliases
if [ -x /usr/bin/dircolors ]; then
    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
    alias ls='ls --color=auto'
    #alias dir='dir --color=auto'
    #alias vdir='vdir --color=auto'

    alias grep='grep --color=auto'
    alias fgrep='fgrep --color=auto'
    alias egrep='egrep --color=auto'
fi

# some more ls aliases
alias ll='ls -alF'
alias la='ls -A'
alias l='ls -CF'

# Add an "alert" alias for long running commands.  Use like so:
#   sleep 10; alert
alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'

# Alias definitions.
# You may want to put all your additions into a separate file like
# ~/.bash_aliases, instead of adding them here directly.
# See /usr/share/doc/bash-doc/examples in the bash-doc package.

if [ -f ~/.bash_aliases ]; then
    . ~/.bash_aliases
fi

# enable programmable completion features (you don't need to enable
# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
# sources /etc/bash.bashrc).
if ! shopt -oq posix; then
  if [ -f /usr/share/bash-completion/bash_completion ]; then
    . /usr/share/bash-completion/bash_completion
  elif [ -f /etc/bash_completion ]; then
    . /etc/bash_completion
  fi
fi

मेरी .profileफाइल है:

# ~/.profile: executed by the command interpreter for login shells.
# This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login
# exists.
# see /usr/share/doc/bash/examples/startup-files for examples.
# the files are located in the bash-doc package.

# the default umask is set in /etc/profile; for setting the umask
# for ssh logins, install and configure the libpam-umask package.
#umask 022

# if running bash
if [ -n "$BASH_VERSION" ]; then
    # include .bashrc if it exists
    if [ -f "$HOME/.bashrc" ]; then
    . "$HOME/.bashrc"
    fi
fi

# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/bin" ] ; then
    PATH="$HOME/bin:$PATH"
fi

फ़ाइल /etc/profileयहाँ है: http://paste.ubuntu.com/5781361/


1
का आउटपुट क्या है echo $PATH? (कृपया इसे अपने प्रश्न में संपादित करें और फिर उत्तर दें)।
सेठ

1
क्या आप अपनी ~ / .bashrc और ~ / .profile फ़ाइलों को paste.ubuntu.com पर अपलोड कर सकते हैं और लिंक पोस्ट कर सकते हैं?
एरिक कार्वाल्हो

भविष्य के संदर्भ के लिए, आकृति को "हीरा" कहा जाता है।
user98085

echo $PATHमेरे सवाल में जोड़ा गया ।
विटाली ज़डेनविच

यदि आप अपने '.bashrc' में अपने पथ चर के आसपास एकल उद्धरण का उपयोग करते हैं, तो यह इस समस्या का कारण बन सकता है।
फिएट

जवाबों:


28

वैकल्पिक हल

सबसे पहले, मुझे लगता है कि जब आप tty1 - Ctrl+ Alt+ में जाते हैं, तो आप इसके बारे में उल्लेख करते हैं F1

अब, मुझे लगता है कि आप वही कर रहे हैं जो आपने सबसे अधिक संभावना के साथ कहा है क्योंकि आपके पास एक अजीब चरित्र है जैसे suit ( डायमंड सूट चरित्र या एक आस्कुबंटू मॉडरेटर के लिए विशेष बैज ) ~/.bashrcया ~/.profileफ़ाइल या अन्य फ़ाइल में जिसमें विभिन्न इनिशियलाइज़ेशन कमांड होते हैं।

जैसा कि आप अगली छवि में देख सकते हैं, मैंने ~/.bashrcएक पंक्ति में a वर्ण के अंदर डालने वाली फ़ाइल को संपादित किया । परिणामस्वरूप, जब मैं टर्मिनल खोलता हूं तो यह आपके द्वारा वर्णित समस्या को प्राप्त करता है:

टर्मिनल

ऐसा ही हो रहा है जब मैं tty1 में Ctrl+ Alt+ के साथ जाता हूं F1

जिन फ़ाइलों को प्रारंभ आदेशों को शामिल जब एक खोल शुरू हो जाती है: /etc/profile, /etc/bashrc, ~/.bash_login, ~/.profile, ~/.bashrc, ~/.bash_aliasesऔर हो सकता है दूसरों। शेल आरंभीकरण फ़ाइलें देखें ।

यह जाँचने के लिए कि क्या इन फ़ाइलों में से किसी में कुछ गड़बड़ है, आप sourceकमांड का उपयोग कर सकते हैं । उदाहरण के लिए:

source ~/.bashrc

स्रोत प्रोफ़ाइल

अंतिम समाधान

Http://paste.ubuntu.com/5781361//etc/profile से निरीक्षण करने के बाद , मैंने पाया कि लाइन 31 पर "राइट-टू-लेफ्ट ओवरराइड" है - यूनिकोड चरित्र। बस के साथ खुली फ़ाइल , इस अजीब चरित्र को हटाना सुनिश्चित करें और समस्या गायब हो जाएगी।‮/etc/profilesudo -H gedit /etc/profile

प्रोफाइल फाइल

उदाहरण के लिए, HTML में उदाहरण के लिए, यदि आप ‮एक पंक्ति के सामने दशमलव कोड ( ) का उपयोग करके इस यूनिकोड वर्ण को सम्मिलित करते हैं, तो यह देखें:

यह पाठ अरबी-अंग्रेजी में है!

एक और अधिक सामान्यीकृत समाधान

हम सटीक कमांड पाएंगे जो " ट्रैप " का उपयोग करते हुए त्रुटि का कारण बनता है ।

सबसे पहले, हमें ~/binडायरेक्टरी में एक नई स्क्रिप्ट फाइल बनानी होगी, आइए इसे कॉल करें lib.trap.sh( gedit ~/bin/lib.trap.sh), जो कि निम्नलिखित है:

lib_name='trap'

lib_version=20130620
#changed from lib_version=20121026 found it at /programming//a/13099228/2353900 to work well at initialization of the shell

stderr_log="/dev/shm/stderr.log"

#
# TO BE SOURCED ONLY ONCE:
#
###~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~##

if test "${g_libs[$lib_name]+_}"; then
    return 0
else
    if test ${#g_libs[@]} == 0; then
        declare -A g_libs
    fi
    g_libs[$lib_name]=$lib_version
fi


#
# MAIN CODE:
#
###~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~##

set -o pipefail  # trace ERR through pipes
set -o errtrace  # trace ERR through 'time command' and other functions
set -o nounset   ## set -u : exit the script if you try to use an uninitialised variable
set -o errexit   ## set -e : exit the script if any statement returns a non-true return value

exec 2>"$stderr_log"


###~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~##
#
# FUNCTION: EXIT_HANDLER
#
###~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~##

function exit_handler ()
{
    local error_code="$?"

    test $error_code == 0 && return;

    #
    # LOCAL VARIABLES:
    # ------------------------------------------------------------------
    #    
    local i=0
    local regex=''
    local mem=''

    local error_file=''
    local error_lineno=''
    local error_message='unknown'

    local lineno=''


    #
    # PRINT THE HEADER:
    # ------------------------------------------------------------------
    #
    # Color the output if it's an interactive terminal
    test -t 1 && tput bold; tput setf 4                                 ## red bold
    echo -e "\n(!) EXIT HANDLER\n"


    #
    # GETTING LAST ERROR OCCURRED:
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ #

    #
    # Read last file from the error log
    # ------------------------------------------------------------------
    #
    if test -f "$stderr_log"
        then
            stderr=$( tail -n 1 "$stderr_log" )
            rm "$stderr_log"
    fi

    #
    # Managing the line to extract information:
    # ------------------------------------------------------------------
    #

    if test -n "$stderr"
        then        
            # Exploding stderr on :
            mem="$IFS"
            local shrunk_stderr=$( echo "$stderr" | sed 's/\: /\:/g' )
            IFS=':'
            local stderr_parts=( $shrunk_stderr )
            IFS="$mem"

            # Storing information on the error
            error_file="${stderr_parts[0]}"
            error_lineno="${stderr_parts[1]}"
            error_message=""

            for (( i = 3; i <= ${#stderr_parts[@]}; i++ ))
                do
                    error_message="$error_message "${stderr_parts[$i-1]}": "
            done

            # Removing last ':' (colon character)
            error_message="${error_message%:*}"

            # Trim
            error_message="$( echo "$error_message" | sed -e 's/^[ \t]*//' | sed -e 's/[ \t]*$//' )"
    fi

    #
    # GETTING BACKTRACE:
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ #
    _backtrace=$( backtrace 2 )


    #
    # MANAGING THE OUTPUT:
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ #

    local lineno=""
    regex='^([a-z]{1,}) ([0-9]{1,})$'

    if [[ $error_lineno =~ $regex ]]

        # The error line was found on the log
        # (e.g. type 'ff' without quotes wherever)
        # --------------------------------------------------------------
        then
            local row="${BASH_REMATCH[1]}"
            lineno="${BASH_REMATCH[2]}"

            echo -e "FILE:\t\t${error_file}"
            echo -e "${row^^}:\t\t${lineno}\n"

            echo -e "ERROR CODE:\t${error_code}"             
            test -t 1 && tput setf 6                                    ## white yellow
            echo -e "ERROR MESSAGE:\n$error_message"


        else
            regex="^${error_file}\$|^${error_file}\s+|\s+${error_file}\s+|\s+${error_file}\$"
            if [[ "$_backtrace" =~ $regex ]]

                # The file was found on the log but not the error line
                # (could not reproduce this case so far)
                # ------------------------------------------------------
                then
                    echo -e "FILE:\t\t$error_file"
                    echo -e "ROW:\t\tunknown\n"

                    echo -e "ERROR CODE:\t${error_code}"
                    test -t 1 && tput setf 6                            ## white yellow
                    echo -e "ERROR MESSAGE:\n${stderr}"

                # Neither the error line nor the error file was found on the log
                # (e.g. type 'cp ffd fdf' without quotes wherever)
                # ------------------------------------------------------
                else
                    #
                    # The error file is the first on backtrace list:

                    # Exploding backtrace on newlines
                    mem=$IFS
                    IFS='
                    '
                    #
                    # Substring: I keep only the carriage return
                    # (others needed only for tabbing purpose)
                    IFS=${IFS:0:1}
                    local lines=( $_backtrace )

                    IFS=$mem

                    error_file=""

                    if test -n "${lines[1]}"
                        then
                            array=( ${lines[1]} )

                            for (( i=2; i<${#array[@]}; i++ ))
                                do
                                    error_file="$error_file ${array[$i]}"
                            done

                            # Trim
                            error_file="$( echo "$error_file" | sed -e 's/^[ \t]*//' | sed -e 's/[ \t]*$//' )"
                    fi

            echo -e "ROW, FILE:\t\t${lines[2]   }\n"

                    echo -e "ERROR CODE:\t${error_code}"
                    test -t 1 && tput setf 6                            ## white yellow
                    if test -n "${stderr}"
                        then
                            echo -e "ERROR MESSAGE:\n${stderr}"
                        else
                            echo -e "ERROR MESSAGE:\n${error_message}"
                    fi
            fi
    fi

    #
    # PRINTING THE BACKTRACE:
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ #

    test -t 1 && tput setf 7                                            ## white bold
    echo -e "\n$_backtrace\n"

    #
    # EXITING:
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ #

    test -t 1 && tput setf 4                                            ## red bold
    echo "Exiting!"

    test -t 1 && tput sgr0 # Reset terminal

    exit "$error_code"
}
trap exit_handler ERR                                                  # ! ! ! TRAP EXIT ! ! !
#trap exit ERR                                                        # ! ! ! TRAP ERR ! ! ! 


###~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~##
#
# FUNCTION: BACKTRACE
#
###~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~##

function backtrace
{
    local _start_from_=0

    local params=( "$@" )
    if (( "${#params[@]}" >= "1" ))
        then
            _start_from_="$1"
    fi

    local i=0
    local first=false
    while caller $i > /dev/null
    do
        if test -n "$_start_from_" && (( "$i" + 1   >= "$_start_from_" ))
            then
                if test "$first" == false
                    then
                        echo "BACKTRACE IS:"
                        first=true
                fi
                caller $i
        fi
        let "i=i+1"
    done
}

return 0

अब, केवल एक चीज जो आपको करनी है वह है फाइल की शुरुआत में अगली लाइन डालना /etc/profile( sudo -H gedit /etc/profile):

source '/home/<user_name>/bin/lib.trap.sh'

<user_name>अपने उपयोगकर्ता नाम के साथ बदलें । इस तरह, सभी फाइलें जिनमें आरंभिक कमांड सम्‍मिलित होती हैं, जब शेल को लागू किया जाता है, "ट्रैप" से होकर गुजरेगी।

/etc/profileउदाहरण के लिए यदि कोई गलत कमांड है, तो परीक्षण करने के लिए, टर्मिनल अगले कमांड में चलाएं:

bash स्रोत / आदि / प्रोफ़ाइल

यदि कुछ गलत है, तो इस मामले में, परिणाम इस प्रकार होगा:

जाल

तो, अब हम यह सुनिश्चित करने के लिए जानते हैं कि लाइन 32 पर फ़ाइल command not foundमें कोई समस्या है ( ) /etc/profileयह रेखा 31 के ऊपर नहीं है क्योंकि हमने फ़ाइल की शुरुआत में एक नई लाइन डाली है)।

इस जवाब से उनकी पटकथा के लिए लुका बोर्रियन को बहुत-बहुत धन्यवाद जिसने मुझे इस सामान्यीकृत समाधान को पूरा करने में मदद की।


से .bashrcऔर .profileप्रश्न के लिए जोड़ा गया कोड - मैं यहां question नहीं पा सकता हूं।
विटाली ज़डेनविच

1
@VitalyZdanevich आपको उन सभी फाइलों की जांच करनी चाहिए .bash_aliases, .pam_environmentजिनमें कुछ अजीब तरह से अंदर के लिए आरंभीकरण कमांड ( और , आदि) हैं, जरूरी नहीं कि यह चरित्र ठीक हो।
राडू रयडेनु

2
हाँ, समस्या 31 से लाइन पर है /etc/profile। आपके पास वहां कुछ बहुत अजीब है। बस हमेशा के लिए betwen हटाएँ fiऔर JAVA_HOME, एक या दो 'Enter' दबाएँ और सब कुछ ठीक होने के बाद होना चाहिए। फ़ाइल को संशोधित करेंsudo gedit /etc/profile
Radu Rădeanu

1
@RyanLoremIpsum नहीं, मुझे यकीन है। ओपी वहाँ चिपकाया गया था, मैं नहीं :)
रादु रयाडेनू

1
महान! मैं इस दो पारदर्शी लाइनों को साफ करता हूं /etc/profile। अजीब बैग।
विटाली ज़डनेविच

5

बैश के इनिशियलाइज़ेशन स्क्रिप्ट को डीबग करने के लिए, निम्नलिखित (वर्चुअल कंसोल में लॉग इन करने के बाद) चलाएँ।

PS4='+ $BASH_SOURCE:$LINENO:' bash -xlic ''

उपरोक्त रन इंटरैक्टिव ( -i) लॉगिन ( -l) मोड में बैश करता है, वही loginजब प्रोग्राम वर्चुअल कंसोल में लॉग इन करता है। -c ''यह आरंभीकरण स्क्रिप्ट के माध्यम से चल के तुरंत बाद बाहर निकलने के बनाता है, और -xऔर PS4=...इससे पहले कि यह, उन्हें चलाता है कि आदेश की फ़ाइल नाम और लाइन नंबर के साथ, यह उत्पादन प्रत्येक आदेश में आता है। यह निर्धारित करने में मदद करनी चाहिए कि अमान्य कमांड किस फ़ाइल की कौन सी पंक्ति है।

साइड नोट पर, does प्रतीक है जो वर्चुअल कंसोल के लिए डिफ़ॉल्ट फ़ॉन्ट है जो अक्षरों को प्रिंट करने के लिए उपयोग करता है, इसके लिए प्रतीक नहीं है।


1

अपनी इनिशियलाइज़ेशन फ़ाइलों को खोजते समय, यह ec आउटपुट करने के लिए उपयोग किए जाने वाले हेक्साडेसिमल की तलाश में सहायक हो सकता है। यूनिकोड कैरेक्टर 'BLACK DIAMOND SUIT' के अनुसार, हेक्स कोड 2666 के लिए है । नोट: कम से कम एक अन्य हेक्स कोड, 25C6 है, जो समान या समान दिखने वाले प्रतीक का उत्पादन करता है। "हीरा" के लिए खोज परिणाम देखें। यूनिकोड चरित्र खोज

शायद ऐसा ही कुछ \u2666स्क्रिप्ट में से एक में है। गूंज के लिए बैश संदर्भ मैनुअल से - "\ uhhh Unicode (ISO / IEC 10646) वर्ण जिसका मान हेक्साडेसिमल मान HHHH (एक से चार हेक्स अंक) है"

यह उपयोग किए गए वर्ण एन्कोडिंग पर निर्भर करता है, इसलिए आप सबसे पहले संभावित खोज करना चाहते हैं। echo $LC_CTYPEआपके शेल द्वारा उपयोग किए गए वर्ण एन्कोडिंग को वापस करना चाहिए। देखें कि टर्मिनल की कैरेक्टर एन्कोडिंग कैसे प्राप्त करें


-1 क्योंकि ~/.bash_historyसंग्रहीत आदेश PS1 पर संवादात्मक चलाए गए हैं।
राडू रियडेनू

पुष्टि करने के लिए शुक्रिया। मैंने इसे हटा दिया है। क्या मुझे आपके जवाब के लिए टिप्पणी के रूप में बाकी जोड़ देना चाहिए, राडू?
आइरिन

ओह, मुझे समझ नहीं आ रहा है - मुझे क्या करने की आवश्यकता है? लुबंटू आरंभीकरण फ़ाइलों में कहां? मैंने \u2666कैटफ़िश (लुबंटू खोज) में and के लिए पूर्ण-पाठ खोज की कोशिश की - कुछ भी नहीं। मैं बोता हूँ history- कुछ नहीं। मैं इस संदेश को केवल लॉगिन के बाद केवल tty में देखता हूं। echo $LC_CTYPEखाली लाइन मिलने के बाद ।
विटाली ज़डनेविच

रनिंग localeको LC_CTYPE दिखाना चाहिए। लोकल
iyrin

इससे पहले कि राडू के उत्तर की कोशिश करें! यदि हम आपके tty में प्रयुक्त वर्ण सेट को कम करते हैं, तो आप ठोस हीरे के लिए संबंधित वर्ण कोड की घटना को खोज सकते हैं। यह खोज फलदायी साबित होगी अगर राडू का RLO खोजने का कारण थू है।
आइरिन

0

एक ज्ञात उपकरण के लिए पूर्ण पथ लिखें जो आपको अपनी bashrc फ़ाइल को संपादित करने के साथ-साथ आपकी bashrc फ़ाइल को पूरा करने देगा।

/bin/nano /home/username/.bashrc

अपने PATHवैरिएबल पर कोई भी दुरुपयोग खोजें और टिप्पणी करें। संभवत: जब आपके रास्ते में कुछ जोड़ने की कोशिश की गई थी, तो इसे दोहरे उद्धरण के बजाय एकल उद्धृत किया गया था।

PATH='$PATH:/path/to/new/tool' # very BAD, single quotes won't expand PATH
#    ^                       ^

PATH="$PATH:/path/to/new/tool" # Good! The double quotes allow variable expansion

अपने .bashrc को https://www.shellcheck.net/ जैसे टूल में कॉपी करें, यह देखने के लिए कि क्या आपके पास बैश के उपयोग के साथ कोई चमकता हुआ मुद्दा है या नहीं।

उम्मीद है की वो मदद करदे।

हमारी साइट का प्रयोग करके, आप स्वीकार करते हैं कि आपने हमारी Cookie Policy और निजता नीति को पढ़ और समझा लिया है।
Licensed under cc by-sa 3.0 with attribution required.